# Uses of Interface
org.opensaml.saml.saml2.core.SubjectConfirmation

Packages that use SubjectConfirmation
Package
Description
org.opensaml.saml.saml2.assertion
Interfaces and API classes for validating SAML 2 Assertions.
org.opensaml.saml.saml2.assertion.impl
Implementation classes for validating SAML 2 Assertions.
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.
org.opensaml.saml.saml2.testing
org.opensaml.saml.saml2.wssecurity
Classes for SAML WS-Security.

## Uses of SubjectConfirmation in org.opensaml.saml.saml2.assertion

Methods in org.opensaml.saml.saml2.assertion with parameters of type SubjectConfirmation
Modifier and Type
Method
Description
`ValidationResult`
SubjectConfirmationValidator.`validate(SubjectConfirmation confirmation, Assertion assertion, ValidationContext context)`
Confirms the `Subject` by means of the given `SubjectConfirmation`.

## Uses of SubjectConfirmation in org.opensaml.saml.saml2.assertion.impl

Methods in org.opensaml.saml.saml2.assertion.impl with parameters of type SubjectConfirmation
Modifier and Type
Method
Description
`protected abstract ValidationResult`
AbstractSubjectConfirmationValidator.`doValidate(SubjectConfirmation confirmation, Assertion assertion, ValidationContext context)`
Performs any further validation required for the specific confirmation method implementation.
`protected ValidationResult`
BearerSubjectConfirmationValidator.`doValidate(SubjectConfirmation confirmation, Assertion assertion, ValidationContext context)`
Performs any further validation required for the specific confirmation method implementation.
`protected ValidationResult`
HolderOfKeySubjectConfirmationValidator.`doValidate(SubjectConfirmation confirmation, Assertion assertion, ValidationContext context)`
Performs any further validation required for the specific confirmation method implementation.
`protected ValidationResult`
SenderVouchersSubjectConfirmationValidator.`doValidate(SubjectConfirmation confirmation, Assertion assertion, ValidationContext context)`
Performs any further validation required for the specific confirmation method implementation.
`ValidationResult`
AbstractSubjectConfirmationValidator.`validate(SubjectConfirmation confirmation, Assertion assertion, ValidationContext context)`
Confirms the `Subject` by means of the given `SubjectConfirmation`.

## Uses of SubjectConfirmation in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return types with arguments of type SubjectConfirmation
Modifier and Type
Method
Description
`List<SubjectConfirmation>`
Subject.`getSubjectConfirmations()`
Gets the confirmations made about this subject.

## Uses of SubjectConfirmation in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement SubjectConfirmation
Modifier and Type
Class
Description
`class`
`SubjectConfirmationImpl`
Concrete implementation of `SubjectConfirmation`.
Fields in org.opensaml.saml.saml2.core.impl with type parameters of type SubjectConfirmation
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<SubjectConfirmation>`
SubjectImpl.`subjectConfirmations`
Subject Confirmations of the Subject.
Methods in org.opensaml.saml.saml2.core.impl that return SubjectConfirmation
Modifier and Type
Method
Description
`SubjectConfirmation`
SubjectConfirmationBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`SubjectConfirmation`
SubjectConfirmationBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type SubjectConfirmation
Modifier and Type
Method
Description
`List<SubjectConfirmation>`
SubjectImpl.`getSubjectConfirmations()`
Gets the confirmations made about this subject.

## Uses of SubjectConfirmation in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type SubjectConfirmation
Modifier and Type
Field
Description
`private final SAMLObjectBuilder<SubjectConfirmation>`
AddSubjectConfirmationToSubjects.`confirmationBuilder`
Builder for SubjectConfirmation objects.
Methods in org.opensaml.saml.saml2.profile.impl that return SubjectConfirmation
Modifier and Type
Method
Description
`private SubjectConfirmation`
AddSubjectConfirmationToSubjects.`cloneConfirmation(SubjectConfirmation confirmation)`
Create an efficient field-wise copy of a `SubjectConfirmation`.
Methods in org.opensaml.saml.saml2.profile.impl with parameters of type SubjectConfirmation
Modifier and Type
Method
Description
`private SubjectConfirmation`
AddSubjectConfirmationToSubjects.`cloneConfirmation(SubjectConfirmation confirmation)`
Create an efficient field-wise copy of a `SubjectConfirmation`.

## Uses of SubjectConfirmation in org.opensaml.saml.saml2.testing

Methods in org.opensaml.saml.saml2.testing that return SubjectConfirmation
Modifier and Type
Method
Description
`static SubjectConfirmation`
SAML2ActionTestingSupport.`buildSubjectConfirmation(String method, String recipient, String address)`
Builds a `SubjectConfirmation`.

## Uses of SubjectConfirmation in org.opensaml.saml.saml2.wssecurity

Fields in org.opensaml.saml.saml2.wssecurity declared as SubjectConfirmation
Modifier and Type
Field
Description
`private SubjectConfirmation`
SAML20AssertionToken.`subjectConfirmation`
Get the successfully attested SubjectConfirmation.
Methods in org.opensaml.saml.saml2.wssecurity that return SubjectConfirmation
Modifier and Type
Method
Description
`SubjectConfirmation`
SAML20AssertionToken.`getSubjectConfirmation()`
Get the successfully attested SubjectConfirmation.
Methods in org.opensaml.saml.saml2.wssecurity with parameters of type SubjectConfirmation
Modifier and Type
Method
Description
`void`
SAML20AssertionToken.`setSubjectConfirmation(SubjectConfirmation newSubjectConfirmation)`
Set the successfully attested SubjectConfirmation.